Updater

Automatic update checking and notifications for plugins

Total Downloads: 18,502 - First Release: Oct 24, 2014 - Last Update: Oct 30, 2016

5/5, 42 likes
  1. Corrosive

    Corrosive Shack Builder

    @LaserHydra

    Broken?

    Code (Text):
    (15:48:36) | [Oxide] 07:48 [Error] Web request callback raised an exception (ArgumentException: An element with the same key already exists in the dictionary.)
    (15:48:36) | [Oxide] 07:48 [Debug]   at System.Collections.Generic.Dictionary`2[Oxide.Core.Plugins.Plugin,System.String].Add (Oxide.Core.Plugins.Plugin key, System.String value) [0x00000] in <filename unknown>:0
      at Oxide.Plugins.Updater+<CheckForUpdates>c__AnonStorey0.<>m__0 (Int32 code, System.String response) [0x00000] in <filename unknown>:0
      at Oxide.Core.Libraries.WebRequests+WebRequest.<OnComplete>m__1 () [0x00000] in <filename unknown>:0

    Code (Text):
    (15:49:48) | Oxide 2.0.2511 for Rust 1037.68 (1803
     
  2. LaserHydra

    LaserHydra Grenade Master Plugin Developer

  3. LaserHydra

    LaserHydra Grenade Master Plugin Developer

  4. UkFsG

    UkFsG Wood Hoarder

    i've just downloaded this today for the 1st time and i'm getting

    [Oxide] 21:09 [Info] Loaded plugin Updater v2.1.1 by LaserHydra
    [Oxide] 21:09 [Warning] [Updater] Couldn't get the latest version of plugin Rust:IO for Oxide
     
  5. LaserHydra

    LaserHydra Grenade Master Plugin Developer

    I think I know why this happens for RustIO. I'll look into it tomorrow.
     
  6. Krazy J

    Krazy J Shack Builder

    Code (Text):
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Rust:IO for Oxide
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Admin door Unlocker
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Player Radar
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Auth Level
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Day & Night System
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin AutoDoors
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin AutoPurge
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Better Chat
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Building Grades
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin BetterLoot
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin BuildingWrapper
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin BoxLooters
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Clans
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Copy Paste
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Crafting Controller
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin ConnectionDB
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Death Notes
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin CupboardRadius
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin FancyDrop
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Entity Owner
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Enhanced Hammer
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Friends
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin GUIAnnouncements
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin GUIShop
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin HeliControl
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Gathering Manager
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin MagazinBoost
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin LustyMap
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin InfoPanel
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin NightLantern
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Notifier
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin NoDecay
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin NTeleportation
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin PlayerManager
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Quests
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin RemoverTool
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Sign Artist
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Rewards
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin ShowCrosshair
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Stack Size Controller
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Timed Permissions
    (14:59:23) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin TargetPractice
    (14:59:32) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Updater
    (14:59:33) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Vanish
    (14:59:33) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin Warp System
    (14:59:33) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin ZoneDomes
    (14:59:33) | [Oxide] 23:00 [Warning] [Updater] Couldn't get the latest version of plugin ZoneManager
    (14:59:33) | [Oxide] 23:00 [Warning] [Updater] Couldn't check for updates of following plugins as they have no ResourceID set: Admin Spawn, Day Vote, Helptext, Compass, Players list, Economics, Kits, PlayerDatabase, SDonate, WeaponsShownOnBack, XMasEvent
    I'm guessing this is also caused by whatever it is you'll look into tomorrow. :) suppose it has to do with missing Resource ID"s from other plugins ?
     
  7. LaserHydra

    LaserHydra Grenade Master Plugin Developer

    Are you sure that you have the latest version (2.1.0)?
     
  8. Krazy J

    Krazy J Shack Builder

    this what u are talking about ? cause if it is I don't think so lol
    Oxide 2.0.2588 for Rust 1051.72 (1806)
     
  9. Resistance

    Resistance Grenade Master

    He means the latest plugin
     
  10. Krazy J

    Krazy J Shack Builder

    Yes, it's the latest plugin. Sorry.
     
  11. Resistance

    Resistance Grenade Master

    Can you post the url to this plugin XMasEvent
     
  12. Krazy J

    Krazy J Shack Builder

  13. Resistance

    Resistance Grenade Master

  14. Krazy J

    Krazy J Shack Builder

    Yes, don't really need that one since I have info panel
     
  15. Resistance

    Resistance Grenade Master

    ok well I added it any way do check each plugin to make sure its the one you are using
     
  16. Krazy J

    Krazy J Shack Builder

    Thanks, I'll grab it when I get back online from the store.
     
  17. Saytek_

    Saytek_ Wood Hoarder

    Hi, updater tell me a update for the plugin UiPlus but it is already updated.
     
  18. Freaky

    Freaky Shack Builder

    Edit your UIPlus.cs file (yeah the actual plugin) and modify the line : [Info("UiPlus", "RedKenrok", "1.0.0", ResourceId = 2088)] with this one: [Info("UiPlus", "RedKenrok", "1.1.2", ResourceId = 2088)]

    P.S.: RedKenrok forgot to modify the version inside the plugin !
     
  19. Saytek_

    Saytek_ Wood Hoarder

    Ok thank you !
     
  20. Freaky

    Freaky Shack Builder

    You welcome!